import { Subscription } from 'rxjs';
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { PaginationTheadCellDirective } from '../../directive/pagination-thead-cell.directive';
import { ComponentFactoryResolver } from '@angular/core';
import { PaginationTheadCellComponentData } from '../../interface/pagination-thead-cell-component-data';
import { PaginationEvent } from '../../model/pagination-event';
import { PaginationService } from '../../service/pagination.service';
export declare class PaginationTheadCellResolverComponent implements OnInit, OnDestroy {
    private componentFactoryResolver;
    private paginationService;
    data: PaginationTheadCellComponentData;
    changePaginationEvent: EventEmitter<PaginationEvent>;
    paginationTheadCellHost: PaginationTheadCellDirective;
    private filter_components;
    private subscription_pagination_event;
    private subscription_config;
    constructor(componentFactoryResolver: ComponentFactoryResolver, paginationService: PaginationService);
    ngOnInit(): void;
    onInit(): void;
    ngOnDestroy(): void;
    onDestroy(): void;
    loadComponent(): void;
    protected checkSubscription(subscription: Subscription): void;
    private setConfig;
}
