import { PaginationSortingDirectionType } from '../../type/pagination-sorting-direction.type';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PaginationSortingDirectionEnum } from '../../enum/pagination-sorting-direction.enum';
import { PaginationService } from '../../service/pagination.service';
export declare class PaginationTheadCellSortingComponent implements OnInit, OnDestroy {
    private paginationService;
    static EVENT_TYPE: string;
    static PARAM_NAME_DIRECTION: string;
    static PARAM_NAME_SORT: string;
    direction: PaginationSortingDirectionType;
    title: string;
    key: string;
    clickChangeDirection: EventEmitter<PaginationSortingDirectionEnum>;
    private _direction;
    private _subscription_direction_change;
    constructor(paginationService: PaginationService);
    ngOnInit(): void;
    onInit(): void;
    ngOnDestroy(): void;
    onDestroy(): void;
    onClick(e: MouseEvent): void;
    getStyleClass(): string;
    getDirectionTitle(): PaginationSortingDirectionEnum;
    private checkSubscription;
}
